function eMusic_ContextSetup() 
{
	document.getElementById("contentAreaContextMenu").addEventListener("popupshowing",eMusic_ContextHide,false);
}

function eMusic_ContextHide() 
{
	var contextMenu = gContextMenu;
	var AMGitem = document.getElementById("eMusic-Search-AMG");
	var URIofInterest = window._content.location.href;
	var baseURI = URIofInterest.substring(0, URIofInterest.indexOf('/', 7));

	if( baseURI == eMusic_BaseURL )
	{
		if( contextMenu.onLink )
			URIofInterest = contextMenu.linkURL;

		if( (URIofInterest.substring(0, eMusic_BaseArtistURL.length) == eMusic_BaseArtistURL) ||
		    (URIofInterest.substring(0, eMusic_BaseAlbumURL.length) == eMusic_BaseAlbumURL) )	
			AMGitem.setAttribute("hidden", false);
		else
			AMGitem.setAttribute("hidden", true);			
	}
	else
		AMGitem.setAttribute("hidden", true);
}

function eMusic_ConvertAMGTerms(terms)
{
	// Split up the search terms based on the space character
	var termArray = new Array();
	termArray = terms.split(" ");
	var result = "";

	// Loop through the search terms, building up the result string
	for(var i = 0; i < termArray.length; i++)
	{
		if(i > 0) 
		{ 
			result += "|"; 
		}
		
		result += encodeURIComponent(termArray[i]);
	}
	
	// Return the result
	return result;
}

function eMusic_SearchAMG()
{
	var contextMenu = gContextMenu;
	var searchTerms;
	var URL = "http://www.allmusic.com/cg/amg.dll?P=amg"
		
	if( contextMenu.onLink )
		targetURI = contextMenu.linkURL;
	else
		targetURI = window._content.location.href;

	if( targetURI.substring(0, eMusic_BaseArtistURL.length) == eMusic_BaseArtistURL )
		URL += "&opt1=1" // artist search
	else
		URL += "&opt1=2" // album search

	if( contextMenu.onLink )
	{
		searchTerms = eMusic_ConvertAMGTerms(contextMenu.linkText());
	}
	else
	{
		searchTerms = window.title.substring(0, window.title.indexOf(','));
		searchTerms = eMusic_ConvertAMGTerms(searchTerms);
	}

	URL += "&sql=" + searchTerms;

	if( eMusic_TB_AMGNewWindow )
		eMusic_LoadURLNew(URL);
	else
		eMusic_LoadURL(URL);
}
